package com.company.mtn.view.country;

import com.company.mtn.entity.Country;

import com.company.mtn.view.main.MainView;

import com.vaadin.flow.router.Route;
import io.jmix.flowui.view.*;

@Route(value = "countries", layout = MainView.class)
@ViewController("mtn_Country.list")
@ViewDescriptor("country-list-view.xml")
@LookupComponent("countriesDataGrid")
@DialogMode(width = "64em")
public class CountryListView extends StandardListView<Country> {
}